function RtuToOpcuaUpdatePage()
{
  var SaveGlobalVariable = function(Row){RtuToOpcuaUpdatePage.prototype._SaveGlobalVariable_(Row);};
  var IsSaveGlobalVariable = function(){return RtuToOpcuaUpdatePage.prototype._IsSaveGlobalVariable_();};
  var ShowFirstPage = function(){RtuToOpcuaUpdatePage.prototype._ShowFirstPage_();};
  this.Initialization = function(){RtuToOpcuaUpdatePage.prototype._Initialization_();};
}










function RtuToOpcuaFirstPage()
{
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RtuToOpcuaFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RtuToOpcuaFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RtuToOpcuaFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RtuToOpcuaFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){RtuToOpcuaFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return RtuToOpcuaFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return RtuToOpcuaFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return RtuToOpcuaFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformOpcUa = function(){return RtuToOpcuaFirstPage.prototype._IsAllTransformOpcUa_();};
  var IsAllTransformScalingOpcUa = function(){return RtuToOpcuaFirstPage.prototype._IsAllTransformScalingOpcUa_();};
  var IsAllTransformBitwiseOpcUa = function(){return RtuToOpcuaFirstPage.prototype._IsAllTransformBitwiseOpcUa_();};
  var IsAllTransformCombineOpcUa = function(){return RtuToOpcuaFirstPage.prototype._IsAllTransformCombineOpcUa_();};
  //初始化
  this.Initialization = function(){RtuToOpcuaFirstPage.prototype._Initialization_();};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){RtuToOpcuaFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){RtuToOpcuaFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RtuToOpcuaFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){RtuToOpcuaFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RtuToOpcuaFirstPage.prototype._SaveButton_(that);};
  //交集，差集
  var ArrayInteraction= function(FirstArray, SecondArray){return RtuToOpcuaFirstPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToOpcuaFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){RtuToOpcuaFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){RtuToOpcuaFirstPage.prototype._ChangeCheckbox_(that);};
}










function RtuToOpcuaSecondPage()
{
  //變數表
  var VariableTableAddNewRow       = function(number){RtuToOpcuaSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){RtuToOpcuaSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetVariableTableInitialValue_(number);};
  var ScalingVariableTableAddNewRow       = function(number){RtuToOpcuaSecondPage.prototype._ScalingVariableTableAddNewRow_(number);};
  var SetScalingVariableTableNewRowValue  = function(number){RtuToOpcuaSecondPage.prototype._SetScalingVariableTableNewRowValue_(number);};
  var SetScalingVariableTableInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetScalingVariableTableInitialValue_(number);};  
  var BitwiseVariableTableAddNewRow       = function(Data){RtuToOpcuaSecondPage.prototype._BitwiseVariableTableAddNewRow_(Data);};
  var SetBitwiseVariableTableNewRowValue  = function(Data){RtuToOpcuaSecondPage.prototype._SetBitwiseVariableTableNewRowValue_(Data);};
  var SetBitwiseVariableTableInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetBitwiseVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return RtuToOpcuaSecondPage.prototype._GetModuleName_(number);};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RtuToOpcuaSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToOpcuaSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearTable = function(number){RtuToOpcuaSecondPage.prototype._ClearTable_(number);};
  var ClearScalingTable = function(number){RtuToOpcuaSecondPage.prototype._ClearScalingTable_(number);};
  var ClearBitwiseTable = function(number){RtuToOpcuaSecondPage.prototype._ClearBitwiseTable_(number);};
  this.ConfirmButton = function(){RtuToOpcuaSecondPage.prototype._ConfirmButton_();};
  this.NoConfirmButton = function(){RtuToOpcuaSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyRtuToOpcuaVariableObject= function(that){RtuToOpcuaSecondPage.prototype._ModifyRtuToOpcuaVariableObject_(that);};
  var ModifyRtuScalingToOpcuaVariableObject= function(that){RtuToOpcuaSecondPage.prototype._ModifyRtuScalingToOpcuaVariableObject_(that);};
  var SetAllRtuBitwiseToOpcuaBoolenValue=function(number, Bool){RtuToOpcuaSecondPage.prototype._SetAllRtuBitwiseToOpcuaBoolenValue_(number, Bool);};
  var SetRtuBitwiseToOpcuaBoolenValue=function(SystemVariable, IndexName, Bool, number){RtuToOpcuaSecondPage.prototype._SetRtuBitwiseToOpcuaBoolenValue_(SystemVariable, IndexName, Bool, number);};
  var FindGlobalIndexFromLocalRtuToOpcuaBitwiseTotalTag=function(SystemVariable, VariableName){return RtuToOpcuaSecondPage.prototype._FindGlobalIndexFromLocalRtuToOpcuaBitwiseTotalTag_(SystemVariable, VariableName);};
  var ModifyRtuBitwiseToOpcuaVariableObject= function(that){RtuToOpcuaSecondPage.prototype._ModifyRtuBitwiseToOpcuaVariableObject_(that);};
  var SetFormInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetInitialValue_(number);};
  var SetVariableInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetVariableInitialValue_(number);};
  var SetScalingInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetScalingInitialValue_(number);};
  var SetBitwiseInitialValue = function(number){RtuToOpcuaSecondPage.prototype._SetBitwiseInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return RtuToOpcuaSecondPage.prototype._GetReadWriteType_(string);};
  var HideVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._HideVariableTableForm_();};
  var ShowVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._ShowVariableTableForm_();};
  var HideScalingVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._HideScalingVariableTableForm_();};
  var ShowScalingVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._ShowScalingVariableTableForm_();};
  var HideBitwiseVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._HideBitwiseVariableTableForm_();};
  var ShowBitwiseVariableTableForm=function(){RtuToOpcuaSecondPage.prototype._ShowBitwiseVariableTableForm_();};
  var ClearAllCss=function(that){RtuToOpcuaSecondPage.prototype._ClearAllCss_(that);};
  var ChangeCurrentlyTabCss=function(that){RtuToOpcuaSecondPage.prototype._ChangeCurrentlyTabCss_(that);};
  this.ChangeTab=function(Mode, that){RtuToOpcuaSecondPage.prototype._ChangeTab_(Mode, that);};
  // Bitwise
  var CheckBitwiseGlobalVariableExist=function(GlobalVariable, SystemVariable, VariableName){return RtuToOpcuaSecondPage.prototype._CheckBitwiseGlobalVariableExist_(GlobalVariable, SystemVariable, VariableName);};
  var BitwiseVariablePretreatment=function(number){return RtuToOpcuaSecondPage.prototype._BitwiseVariablePretreatment_(number);};
}